> For the complete documentation index, see [llms.txt](https://docs.hostedgraphite.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.hostedgraphite.com/add-ons-and-integrations-guide/statsd-add-on.md).

# StatsD Add-on

It listens for statistics such as counters and timers sent via UDP, performs aggregation of this data, then sends it on to a configurable backend service - such as Hosted Graphite. You can use StatsD to perform such aggregation before sending your metrics to us by following this short guide.

* Install StatsD by following the [installation instructions](https://github.com/etsy/statsd#installation-and-configuration).
* Once installed, StatsD can then be used with a config file like this:

```
{
    port: 8125,
    flushInterval: 10000,
    graphitePort: 2003,
    graphiteHost: "carbon.hostedgraphite.com",
    graphite: {
         legacyNamespace: false,
         globalPrefix: "your-api-key-here"
      }
}
```

### Hosted StatsD

Enable our Hosted StatsD if you don’t have the luxury of running a server yourself. Check out the [*Hosted StatsD*](/add-ons-and-integrations-guide/hosted-statsd.md) documentation.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.hostedgraphite.com/add-ons-and-integrations-guide/statsd-add-on.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
